<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Teachinder</title>
    <link rel="stylesheet" href="css/stylesheet.css">
</head>
<body>
    <header>
        <div class="head">
            <div class="logo"><h1>Teachinder</h1></div>
            <div class="head__search-container">
                <input placeholder="Name, note or age to search"/>
                <button class="main-button">Search</button>
            </div>
        </div>      
        <nav class="navigation">
            <div>
                <ul>
                    <li><a href="#">Teachers</a></li>
                    <li><a href="#">Statistics</a></li>
                    <li><a href="#">Favorites</a></li>
                    <li><a href="#">About</a></li>
                </ul>   
            </div>    
            <div>
                <a href="#add-teacher-popup"><button class="main-button">Add techer</button></a>
            </div> 
        </nav>                               
    </header>
    <main class="content">
        <section class="top-teachers">
            <hr class="top-line">
            <div class="top-teachers__title title"><h2>Top Teachers</h2></div>
            <div class="top-teachers__body">      
                <div class="top-teachers__options">
                    <div class="top-teachers__options__selectors">
                        <div class="item-options">
                            <label for="age-selector" class="selector-label">Age</label>
                            <select id="age-selector" class="age-selector">
                                <option selected>18-31</option>
                                <option>32-45</option>
                                <option>45-60</option>
                                <option>60+</option>
                            </select>           
                        </div>  
                        <div class="item-options">
                            <label for="region-selector" class="selector-label">Region</label>
                            <select id="region-selector" class="region-selector">
                                <option selected>Europe</option>
                                <option>India</option>
                                <option>NA</option>
                                <option>SA</option>
                                <option>Asia</option>
                                <option>Australia</option>
                                <option>Belarus</option>
                                <option>Poland</option>
                            </select>                 
                        </div>  
                        <div class="item-options">
                            <label for="sex-selector" class="selector-label">Sex</label>
                            <select id="sex-selector" class="sex-selector">
                                <option selected>Male</option>
                                <option>Female</option>
                            </select>                 
                        </div>  
                    </div>
                    <div class="top-teachers__options__checkboxes">
                        <div class="item-options">
                            <input id="only-with-photo-checkbox" type="checkbox">
                            <label for="only-with-photo-checkbox" class="checkbox-label">Only with photo</label>              
                        </div>  
                        <div class="item-options">
                            <input id="only-favorites-checkbox" type="checkbox">
                            <label for="only-favorites-checkbox" class="checkbox-label">Only favorites</label>              
                        </div>    
                    </div>        
                </div>
                <div class="top-teachers__photos">
                    <div class="top-teachers__info">
                        <div class="item-teacher-info">
                            <a href="#teacher-info-popup">
                                <div class="item-teacher-info__icon">
                                    <img src="images/teachers/ihor-tkachuk.jpg" alt="I.H"/>
                                </div>
                                <div class="item-teacher-info__fullname">Ihor Tkachuk</div>
                                <div class="item-teacher-info__subject">Chemistry</div>
                                <div class="item-teacher-info__country">Ukraine</div>
                            </a>
                        </div>
                    </div>
                    <div class="top-teachers__info">
                        <div class="item-teacher-info">
                            <div class="item-teacher-info__icon">
                                <img src="images/teachers/pragg-rameshbabu.jpg" alt="P.R"/>
                            </div>
                            <div class="item-teacher-info__fullname">Pragg Rameshbabu</div>
                            <div class="item-teacher-info__subject">Chess</div>
                            <div class="item-teacher-info__country">India</div>
                        </div>
                    </div>
                    <div class="top-teachers__info">    
                        <div class="favorite-star"> 
                            <img src="images/yellow-star.png" />
                        </div>     
                        <div class="item-teacher-info">        
                            <div class="item-teacher-info__icon">
                                <img src="images/teachers/floor-jansen.jpg" alt="F.J"/>
                            </div>
                            <div class="item-teacher-info__fullname">Floor Jansen</div>
                            <div class="item-teacher-info__subject">Vocal</div>
                            <div class="item-teacher-info__country">Denmark</div>
                        </div>
                    </div>
                    <div class="top-teachers__info">
                        <div class="item-teacher-info">
                            <div class="item-teacher-info__icon">
                                <img src="images/teachers/john-burke.jpg" alt="J.B"/>
                            </div>
                            <div class="item-teacher-info__fullname">John Burke</div>
                            <div class="item-teacher-info__subject">Computer Science</div>
                            <div class="item-teacher-info__country">Belgium</div>
                        </div>
                    </div>
                    <div class="top-teachers__info">
                        <div class="favorite-star"> 
                            <img src="images/yellow-star.png" />
                        </div>   
                        <div class="item-teacher-info">
                            <div class="item-teacher-info__icon">
                                <img src="images/teachers/ari-tang.jpg" alt="A.T"/>
                            </div>
                            <div class="item-teacher-info__fullname">Ari Tang</div>
                            <div class="item-teacher-info__subject">Biology</div>
                            <div class="item-teacher-info__country">China</div>
                        </div>
                    </div>
                    <div class="top-teachers__info">
                        <div class="item-teacher-info">
                            <div class="item-teacher-info__icon">
                                <img src="images/teachers/rachel-andrew.jpg" alt="R.A"/>
                            </div>
                            <div class="item-teacher-info__fullname">Rachel Andrew</div>
                            <div class="item-teacher-info__subject">Medicine</div>
                            <div class="item-teacher-info__country">UK</div>
                        </div>
                    </div>
                    <div class="top-teachers__info">
                        <div class="item-teacher-info">
                            <div class="item-teacher-info__icon">
                                <img src="images/teachers/anna-muzychuk.jpg" alt="A.M"/>
                            </div>
                            <div class="item-teacher-info__fullname">Anna Muzychuk</div>
                            <div class="item-teacher-info__subject">Chess</div>
                            <div class="item-teacher-info__country">Belarus</div>
                        </div>
                    </div>
                    <div class="top-teachers__info">
                        <div class="item-teacher-info">
                            <div class="item-teacher-info__icon">
                                <img src="images/teachers/radoslaw-ljuboevic.jpg" alt="R.L"/>
                            </div>
                            <div class="item-teacher-info__fullname">Radoslaw Ljuboevic</div>
                            <div class="item-teacher-info__subject">Physics</div>
                            <div class="item-teacher-info__country">Poland</div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="statistics">
            <hr class="top-line">
            <div class="statistics__title title"><h2>Statistics</h2></div>
            <div class="statistics__body">
                <table cellspacing="0">
                    <tr>
                        <th>Name</th>
                        <th>Speciality</th>
                        <th>Age</th>
                        <th>Gender</th>
                        <th>Nationality</th>
                    </tr>
                    <tr>
                        <td>Daisly Alexander</td>
                        <td>Chemistry</td>
                        <td>28</td>
                        <td>Female</td>
                        <td>Vietnam</td>
                    </tr>
                    <tr>
                        <td>Julia Bradley</td>
                        <td>Math</td>
                        <td>26</td>
                        <td>Female</td>
                        <td>USA</td>
                    </tr>
                    <tr>
                        <td>Rita Hart</td>
                        <td>Art</td>
                        <td>41</td>
                        <td>Female</td>
                        <td>Ireland</td>
                    </tr>
                    <tr>
                        <td>Jonathan Jacobs</td>
                        <td>Math</td>
                        <td>32</td>
                        <td>Male</td>
                        <td>England</td>
                    </tr>
                    <tr>
                        <td>Nataniel White</td>
                        <td>Computer Science</td>
                        <td>37</td>
                        <td>Male</td>
                        <td>Austria</td>
                    </tr>
                    <tr>
                        <td>Frank Medina</td>
                        <td>English</td>
                        <td>43</td>
                        <td>Male</td>
                        <td>Italy</td>
                    </tr>
                    <tr>
                        <td>Ella Curtis</td>
                        <td>Chess</td>
                        <td>34</td>
                        <td>Female</td>
                        <td>USA</td>
                    </tr>
                    <tr>
                        <td>Clare Simmmons</td>
                        <td>Art</td>
                        <td>38</td>
                        <td>Female</td>
                        <td>Netherlands</td>
                    </tr>
                    <tr>
                        <td>Benjamin Knight</td>
                        <td>Biology</td>
                        <td>44</td>
                        <td>Male</td>
                        <td>Scotland</td>
                    </tr>
                    <tr>
                        <td>Norma Rose</td>
                        <td>Statistics</td>
                        <td>36</td>
                        <td>Female</td>
                        <td>France</td>
                    </tr>
                </table>
                <div class="statistics__body__pagination-container">
                    <ul>
                        <li><span>1</span></li>
                        <li><span>2</span></li>
                        <li><span>3</span></li>
                        <li><span>...</span></li>
                        <li><span>Last</span></li>
                    </ul>    
                </div>
            </div>
        </section>
        <section class="favorites">
            <hr class="top-line">
            <div class="favorites__title title"><h2>Favorites</h2></div>
            <div class="favorites__body">
                <div class="favorites__body__menu-wrapper-left">
                    <button></button>
                </div>
                <div class="favorites__body__menu-wrapper-right">
                    <button></button>
                </div> 
                <div class="favorites__body__photos">
                    <div class="item-teacher-info">
                        <a href="#teacher-info-popup">
                            <div class="item-teacher-info__icon">
                                <img src="images/teachers/ihor-tkachuk.jpg" alt="I.T"/>
                            </div>
                            <div class="item-teacher-info__fullname">Ihor Tkachuk</div>
                            <div class="item-teacher-info__country">Ukraine</div>
                        </a>                
                    </div>
                    <div class="item-teacher-info">
                        <div class="item-teacher-info__icon">
                            <img src="images/teachers/anna-makarevich" alt="A.M"/>
                        </div>
                        <div class="item-teacher-info__fullname">Anna Makarevich</div>
                        <div class="item-teacher-info__country">Belarus</div>
                    </div>
                    <div class="item-teacher-info">
                        <div class="item-teacher-info__icon">
                            <img src="images/teachers/john-burke.jpg" alt="J.B"/>
                        </div>
                        <div class="item-teacher-info__fullname">John Burke</div>
                        <div class="item-teacher-info__country">Belgium</div>
                    </div>
                    <div class="item-teacher-info">
                        <div class="item-teacher-info__icon">
                            <img src="images/teachers/ari-tang.jpg" alt="A.T"/>
                        </div>
                        <div class="item-teacher-info__fullname">Ari Tang</div>
                        <div class="item-teacher-info__country">China</div>
                    </div>
                    <div class="item-teacher-info">
                        <div class="item-teacher-info__icon">
                            <img src="images/teachers/floor-jansen.jpg" alt="F.J"/>
                        </div>
                        <div class="item-teacher-info__fullname">Floor Jansen</div>
                        <div class="item-teacher-info__country">Denmark</div>
                    </div>
                </div>       
            </div>
        </section>
        <section class="info">
            <hr class="top-line">
            <div class="info__body">
                <p>
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Deleniti ullam commodi voluptates aspernatur quam accusantium, recusandae, quas ducimus, blanditiis perspiciatis quae ratione? Suscipit atque exercitationem consectetur repellat neque deleniti eaque.
                    Necessitatibus natus est amet atque repellat placeat esse voluptatum nobis molestiae provident. Dolor molestiae aspernatur quaerat ratione sint quas, mollitia quis odit, officiis ipsa perferendis
                </p>
                <p>
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Deleniti ullam commodi voluptates aspernatur eaque.
                </p>
                <p>
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Deleniti ullam commodi voluptates aspernatur 
                </p>
            </div>
        </section>
    </main>   
    <footer>       
        <nav class="navigation">
            <div>
                <ul>
                    <li><a href="#">Teachers</a></li>
                    <li><a href="#">Statistics</a></li>
                    <li><a href="#">Favorites</a></li>
                    <li><a href="#">About</a></li>
                </ul>   
            </div>    
            <div>
                <a href="#add-teacher-popup"><button class="main-button">Add techer</button></a>
            </div> 
        </nav>                      
    </footer>
    <div id="add-teacher-popup" class="add-teacher-popup popup">
        <div class="add-teacher-popup__body">
            <div class="add-teacher-popup__content">
                <a href="" class="add-teacher-popup__close">✖</a>
                <div class="add-teacher-popup__title">Add Teacher</div>
                <form class="add-teacher-popup__form">
                    <div class="form-container">
                        <label for="fullname">Name</label><br>
                        <input type="text" id="fullname" name="fullname">
                    </div>
                    <div class="form-container">
                        <label for="country">Speciality</label><br>
                        <select id="speciality" name="speciality">
                            <option selected>Mathematics</option>
                                <option>Chemistry</option>
                                <option>Art</option>
                                <option>Computer Science</option>
                                <option>English</option>
                                <option>Chess</option>
                                <option>Biology</option>
                                <option>Statistics</option>
                        </select>
                    </div>
                    <div class="personal-info-container">     
                        <div class="form-container">
                            <label for="country">Country</label><br>
                            <select id="country" name="country">
                                <option selected>Ukraine</option>
                                <option>India</option>
                                <option>Denmark</option>
                                <option>Belgium</option>
                                <option>China</option>
                                <option>UK</option>
                                <option>Belarus</option>
                                <option>Poland</option>
                            </select>
                        </div>
                        <div class="form-container">
                            <label for="city">City</label><br>
                            <input id="city" name="city"/>
                        </div>
                        <div class="form-container">
                            <label for="email">Email</label><br>
                                <input type="email" id="email" name="email"/>                      
                        </div> 
                        <div class="form-container">
                            <label for="phone_number">Phone</label><br>
                            <input type="tel" id="phone-number" name="phone-number"/>
                        </div>   
                        <div class="form-container">
                            <label for="date-of-birth">Date of Birth</label><br>
                            <input type="date" id="date-of-birth" name="date-of-birth"/>
                        </div>
                    </div>               
                    <div class="sex-container">
                        <label>Sex</label>
                        <span class="radio-container">
                            <label for="male">Male</label>
                            <input type="radio" id="male" name="gender" value="male">  
                            <label for="female">Female</label>
                            <input type="radio" id="female" name="gender" value="female">
                        </span>            
                    </div>         
                    <div class="background-color-container">          
                        <label for="background-color">Background color</label>
                        <div class="background_color__color-palette">
                            <img src="images/color-wheel.png" />
                            <input type="color" id="background-color" name="background-color"/>
                        </div>             
                    </div>
                    <div class="form-container">
                        <label for="notes">Notes (optional)</label><br>
                        <textarea id="notes" name="notes"></textarea>
                    </div>
                    <div class="submit-container">
                        <input class="main-button" type="submit" value="Add"/>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div id="teacher-info-popup" class="teacher-info-popup popup">
        <div class="teacher-info-popup__body">
            <div class="teacher-info-popup__content">
                <a href="" class="add-teacher-popup__close">✖</a>
                <div class="teacher-info-popup__title">Teacher Info</div>
                <div class="teacher-info-popup__main">
                    <div class="teacher-info-popup__main-info">
                        <div class="teacher-info-popup__picture">
                            <img src="images/teachers/ihor-tkachuk.jpg" alt="I.T" />
                        </div>
                        <div class="favorite-button-container">
                            <button></button>
                        </div>
                        <div class="teacher-info">
                            <div class="fullname">Ihor Tkachuk</div>
                            <div class="subject">Chemistry</div>
                            <div class="location">Kyiv, Ukraine</div>
                            <div  class="age-sex">35, Male</div>
                            <div  class="email">ihor_tkachuk@domain.com</div>
                            <div  class="phone">+380964993252</div>
                        </div>   
                    </div>
                    <div class="teacher-info-popup__comment">
                        Lorem ipsum dolor sit amet, consectetur adipisicing elit. 
                        Totam adipisci officia assumenda, dolore excepturi autem 
                        cum doloribus earum inventore nesciunt omnis ab veniam, 
                        mollitia asperiores sint, quisquam obcaecati officiis 
                        voluptatum. Lorem ipsum dolor sit amet, consectetur 
                        adipisicing elit. Lorem ipsum dolor sit amet, consectetur 
                        adipisicing elit.
                    </div>
                    <div class="teacher-info-popup__toggle-map">
                        <a href="#">toggle map</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>